package com.nisum.hyd.controller;

import com.nisum.hyd.service.SparkKafkaConsumer;
import com.nisum.hyd.service.SparkKafkaProducer;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


@RestController
@RequestMapping("/user")
public class UserController {
    @Autowired
    SparkKafkaProducer sparkKafkaProducer;

    @Autowired
    SparkKafkaConsumer sparkKafkaConsumer;

    @GetMapping("/getUserAndCardDataDetailsPushToKafka")
    public String getUserAndCardDataDetailsPushToKafka() {
        sparkKafkaProducer.getUserAndCardDataDetailsPushToKafka();
        return "User and Card data retrieved successfully";
    }


    @GetMapping("/getUserDetailsAndSaveToDB")
    public String  getUserDetailsAndSaveToDB(){
        return sparkKafkaConsumer.getUserDetailsAndSaveToDB();
    }
}
